import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const slaughterGetWalletBalance = createAsyncThunk(
  "SLAUGHTER_GET_WALLET_BALANCE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("system-wallet/", {
      params: {
        role: getRoleFromUrl(),
        type: "self",
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
